Foreman - Bug #4391

Intermittent test failures on OrganizationsControllerTest "should clone organization with
assocations"

02/19/2014 04:54 PM - Dominic Cleal

Status: Closed

Priority: High

Assignee: Joseph Magen

Category: Tests

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Possibly since #3912 was merged, we've had two intermittent failures on this test:

[980190962, 298486374, 113629430, 182953976] expected but was

[182953976, 113629430, 298486374, 980190962]. (test_0016_should clone organization with assocation
s)
/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/2.0.0/test/functional/organizat
ions_controller_test.rb:174

est/test 0016 should clone orqanlzatlon with_assocations/

Both PostgreSQL.

Perhaps the IDs need sorting before comparison.

History

#1 - 02/20/2014 10:29 AM - Anonymous

- Status changed from New to Assigned

#2 - 02/20/2014 11:45 AM - Anonymous
- Status changed from Assigned to Ready For Testing

PR:-https://github.com/theforeman/foreman/pull/1247

#3 - 02/20/2014 11:46 AM - Dominic Cleal
- Target version set to 1.9.1

- Assignee set to Anonymous

#4 - 02/20/2014 12:11 PM - Anonymous

- Assignee changed from Anonymous to Joseph Magen

PR: https://github.com/theforeman/foreman/pull/1208

#5 - 02/20/2014 01:05 PM - Joseph Magen

fixed in https://github.com/theforeman/foreman/pull/1208

#6 - 02/23/2014 03:24 PM - Joseph Magen
- Status changed from Ready For Testing to Closed
https://projects.theforeman.org/issues/3912
http://ci.theforeman.org/job/test_develop/544/database=postgresql,ruby=2.0.0/testReport/junit/%28root%29/OrganizationsControllerTest/test_0016_should_clone_organization_with_assocations/
http://ci.theforeman.org/job/test_develop/544/database=postgresql,ruby=2.0.0/testReport/junit/%28root%29/OrganizationsControllerTest/test_0016_should_clone_organization_with_assocations/
http://ci.theforeman.org/job/test_develop/548/database=postgresql,ruby=1.9.3/testReport/junit/%28root%29/OrganizationsControllerTest/test_0016_should_clone_organization_with_assocations/
http://ci.theforeman.org/job/test_develop/548/database=postgresql,ruby=1.9.3/testReport/junit/%28root%29/OrganizationsControllerTest/test_0016_should_clone_organization_with_assocations/
https://github.com/theforeman/foreman/pull/1247
https://github.com/theforeman/foreman/pull/1208
https://github.com/theforeman/foreman/pull/1208

fixed in https:/github.com/isratrade/foreman/commit/c9ba496531{6b436187142c03e4ef848c98df53b

#7 - 02/27/2014 03:54 PM - Dominic Cleal

- translation missing: en.field_release set to 4
